Update a tag
PATCH
/tags/:tag_id
Change the tag name. The new name must be unique among existing tags.
Tag names are case-sensitive, that is Marketing and marketing are two different tags.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
tag_idstringRequired
Headers
x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.
Request
This endpoint expects an object.
categoryenumOptional
The tag category.
descriptionstringOptional
1-255 charactersThe tag description.
namestringOptional
1-255 charactersThe tag name. Must be unique.
Response
Successful Response
idstring
format: "uuid"A unique ID of this tag.
created_atdatetime
Date and time when the tag was created. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
updated_atdatetime
Date and time when the tag was last updated. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
namestring
The tag name.
categoryenum
The tag category.
created_by_entity_user_idstring
format: "uuid"ID of the user who created the tag.
descriptionstring
1-255 charactersThe tag description.
Errors
400
Patch Tags ID Request Bad Request Error
401
Patch Tags ID Request Unauthorized Error
403
Patch Tags ID Request Forbidden Error
404
Patch Tags ID Request Not Found Error
406
Patch Tags ID Request Not Acceptable Error
422
Patch Tags ID Request Unprocessable Entity Error
500
Patch Tags ID Request Internal Server Error